Bug 836776 - ovirt-engine-backend: search engine : inconsistency in fields names
ovirt-engine-backend: search engine : inconsistency in fields names
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alexey Chub
Oded Ramraz
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 04:35 EDT by Oded Ramraz
Modified: 2016-02-10 14:25 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 08:55:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2012-07-01 04:35:37 EDT
Description of problem:

Search engine : There is inconsistency for objects entities fields names , especially for fields which consists of multiple words:

For example:

Mixed : VM : cpu_usage , loggedinuser , datacenter , network_usage 
Without underscore : Template : creationdate , childcount 
Only underscore: allow_snapshot , disk_type 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Oded Ramraz 2012-07-01 04:37:19 EDT
Only underscores are for new objects such as Volumes and Disks
Comment 2 Itamar Heim 2012-07-01 06:29:05 EDT
miki - please decide on convention.
we can fix all to new convention for auto complete, but will need to make sure we support those changed in syntax for backward compatibility
Comment 3 Itamar Heim 2012-07-01 15:57:30 EDT
note that for new fields in 3.1 we don't have to preserve backward compatibility if we change them.
Comment 4 Miki Kenneth 2012-07-09 07:36:20 EDT
I would go with no underscore.
Comment 5 Eli Mesika 2012-07-23 20:20:04 EDT
(In reply to comment #4)
> I would go with no underscore.

What about Uppercase/Lowercase

in other words:

allow_snapshot for example :

1) AllowSnapshot
2) allowsnapshot
3) allowSnapshot

What should we choose for that ?
Comment 7 RHEL Product and Program Management 2012-08-16 08:55:34 EDT
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.